using System.ComponentModel;

namespace DataSharing.Share.Enums
{
    /// <summary>
    /// 推送平台
    /// </summary>
    public enum EPlatformSource
    {
        /// <summary>
        /// 省12345
        /// </summary>
        [Description("省12345")]
        Province = 0,

        /// <summary>
        /// 110
        /// </summary>
        [Description("110")]
        Police110 = 1,

        /// <summary>
        /// 市州互转
        /// </summary>
        [Description("市州互转")]
        CityDataExchange = 2,

        /// <summary>
        /// 宜宾融媒体
        /// </summary>
        [Description("宜宾融媒体")]
        ConvergenceMedia = 3,

        /// <summary>
        /// 企业服务
        /// </summary>
        [Description("企业服务")]
        Enterprise = 4,

        /// <summary>
        /// i宜宾
        /// </summary>
        [Description("i宜宾")]
        IYIBIN = 5,

        /// <summary>
        /// 综治平台
        /// </summary>
        [Description("综治平台")]
        ZZPT = 6,

        /// <summary>
        /// 业务系统
        /// </summary>
        [Description("业务系统")]
        Hotline = 7,

        /// <summary>
        /// 随手拍天阙
        /// </summary>
        [Description("随手拍天阙")]
        TianQue = 8,

        /// <summary>
        /// 智慧城市系统
        /// </summary>
        [Description("智慧城市系统")]
        SmartCitySystem = 9,

        /// <summary>
        /// 泸州市政府门户网站
        /// </summary>
        [Description("泸州市政府门户网站")]
        LZCityPortalSite = 10,
    }
}
